db2x_manxml
<< Previous | Converting to man pages | Next >>

## Name

db2x_manxml — Make man pages from Man-XML

## Synopsis

`db2x_manxml` [`options`] [`xml-document`]

## Description

db2x_manxml converts a Man-XML document into one or more man pages. They are written in the current directory.

If `xml-document` is not given, then the document to convert is read from standard input.

## Options

`--encoding=`encoding``

  Select the character encoding used for the output files. The available encodings are those of iconv. The default encoding is `us-ascii`.

  The XML source may contain characters that are not representable in the encoding that you select; in this case the program will bomb out during processing, and you should choose another encoding. (This is guaranteed not to happen with any Unicode encoding such as UTF-8, but unfortunately not everyone is able to process Unicode texts.)

  If you are using GNU’s version of iconv, you can affix `//TRANSLIT` to the end of the encoding name to attempt transliterations of any unconvertible characters in the output. Beware, however, that the really inconvertible characters will be turned into another of those damned question marks. (Aren’t you sick of this?)

  The suffix `//TRANSLIT` applied to a Unicode encoding — in particular, `utf-8//TRANSLIT` — means that the output files are to remain in Unicode, but markup-level character translations using utf8trans are still to be done. So in most cases, an English-language document, converted using `--encoding=`utf-8//TRANSLIT`` will actually end up as a US-ASCII document, but any untranslatable characters will remain as UTF-8 without any warning whatsoever. (Note: strictly speaking this is not “transliteration”.) This method of conversion is a compromise over strict `--encoding=`us-ascii`` processing, which aborts if any untranslatable characters are encountered.

  Note that man pages and Texinfo documents in non-ASCII encodings (including UTF-8) may not be portable to older (non-internationalized) systems, which is why the default value for this option is `us-ascii`.

  To suppress any automatic character mapping or encoding conversion whatsoever, pass the option `--encoding=`utf-8``.

`--list-files`

  Write a list of all the output files to standard output, in addition to normal processing.

`--output-dir=`dir``

  Specify the directory where the output files are placed. The default is the current working directory.

  This option is ignored if the output is to be written to standard output (triggered by the option `--to-stdout`).

`--to-stdout`

  Write the output to standard output instead of to individual files.

  If this option is used even when there are supposed to be multiple output documents, then everything is concatenated to standard output. But beware that most other programs will not accept this concatenated output.

  This option is incompatible with `--list-files`, obviously.

`--help`

  Show brief usage information and exit.

`--version`

  Show version and exit.

Some man pages may be referenced under two or more names, instead of just one. For example, strcpy and strncpy often point to the same man page which describes the two functions together. Choose one of the following options to select how such man pages are to be generated:

`--symlinks`

  For each of all the alternate names for a man page, erect symbolic links to the file that contains the real man page content.

`--solinks`

  Generate stub pages (using `.so` roff requests) for the alternate names, pointing them to the real man page content.

`--no-links`

  Do not make any alternative names available. The man page can only be referenced under its principal name.

This program uses certain other programs for its operation. If they are not in their default installed locations, then use the following options to set their location:

`--utf8trans-program=`path``, `--utf8trans-map=`charmap``

  Use the character map `charmap` with the utf8trans program, included with docbook2X, found under `path`.

`--iconv-program=`path``

  The location of the iconv program, used for encoding conversions.

## Notes

The man pages produced should be compatible with most troff implementations and other tools that process man pages. Some backwards-compatible groff extensions are used to make the output look nicer.

## See Also

The input to db2x_manxml is defined by the XML DTD present at `dtd/Man-XML` in the docbook2X distribution.

<< Previous | Up | Next >>
docbook2man | Table of Contents | Converting to Texinfo